## cacasink cacasink — A colored ASCII art videosink |

## Properties

gboolean | anti-aliasing | Read / Write
GstCACASinkDithering | dither | Read / Write
gint | screen-height | Read
gint | screen-width | Read

## Types and Values

struct | GstCACASink

## Object Hierarchy

        GObject
        ╰── GstObject
            ╰── GstElement
                ╰── GstBaseSink
                    ╰── GstCACASink

## Description

## Synopsis

### Element Information

plugin | cacasink
author | Zeeshan Ali <zak147@yahoo.com>
class | Sink/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw-rgb, bpp=(int)24, depth=(int)24, endianness=(int)4321, red_mask=(int)16711680, green_mask=(int)65280, blue_mask=(int)255, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw-rgb, bpp=(int)32, depth=(int)24, endianness=(int)4321, red_mask=(int)-16777216, green_mask=(int)16711680, blue_mask=(int)65280, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw-rgb, bpp=(int)16, depth=(int)16, endianness=(int)1234, red_mask=(int)63488, green_mask=(int)2016, blue_mask=(int)31, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw-rgb, bpp=(int)16, depth=(int)15, endianness=(int)1234, red_mask=(int)31744, green_mask=(int)992, blue_mask=(int)31, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstCACASink

    struct GstCACASink;

## Property Details

### The `“anti-aliasing”` property

      “anti-aliasing”            gboolean

Enables Anti-Aliasing.

Flags: Read / Write

Default value: TRUE

### The `“dither”` property

      “dither”                   GstCACASinkDithering

Set type of Dither.

Flags: Read / Write

Default value: No dithering

### The `“screen-height”` property

      “screen-height”            gint

The height of the screen.

Flags: Read

Allowed values: >= 0

Default value: 25

### The `“screen-width”` property

      “screen-width”             gint

The width of the screen.

Flags: Read

Allowed values: >= 0

Default value: 80